### Method

# Ide SnippetStorage query

#### Declaration

    void
    ide_snippet_storage_query (
      IdeSnippetStorage* self,
      const gchar* lang,
      const gchar* prefix,
      IdeSnippetStorageForeach foreach,
      gpointer user_data
    )

#### Description

This will call `foreach` for every info that matches the query. This is useful when building autocompletion lists based on word prefixes.

Available since: | 3.32

#### Parameters

`lang` | `const gchar*`
| Language to query.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`prefix` | `const gchar*`
| Prefix for query.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`foreach` | `IdeSnippetStorageForeach`
| The closure to call for each match.
`user_data` | `gpointer`
| Closure data for `foreach`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.